%global debug_package %{nil}

Name: python-ansible-pygments
Epoch: 100
Version: 0.1.1
Release: 1%{?dist}
BuildArch: noarch
Summary: Pygments lexer and style Ansible snippets
License: BSD-2-Clause
URL: https://github.com/ansible-community/ansible-pygments/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
This project provides a Pygments lexer that is able to handle Ansible
output. It may be used anywhere Pygments is integrated. The lexer is
registered globally under the name ansible-output.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-ansible-pygments
Summary: Pygments lexer and style Ansible snippets
Requires: python3
Requires: python3-Pygments >= 2.4.0
Provides: python3-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python3dist(ansible-pygments) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(ansible-pygments) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(ansible-pygments) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-ansible-pygments
This project provides a Pygments lexer that is able to handle Ansible
output. It may be used anywhere Pygments is integrated. The lexer is
registered globally under the name ansible-output.

%files -n python%{python3_version_nodots}-ansible-pygments
%license LICENSE.md
%{python3_sitelib}/ansible_pygments*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-ansible-pygments
Summary: Pygments lexer and style Ansible snippets
Requires: python3
Requires: python3-Pygments >= 2.4.0
Provides: python3-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python3dist(ansible-pygments) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(ansible-pygments) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(ansible-pygments) = %{epoch}:%{version}-%{release}

%description -n python3-ansible-pygments
This project provides a Pygments lexer that is able to handle Ansible
output. It may be used anywhere Pygments is integrated. The lexer is
registered globally under the name ansible-output.

%files -n python3-ansible-pygments
%license LICENSE.md
%{python3_sitelib}/ansible_pygments*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-ansible-pygments
Summary: Pygments lexer and style Ansible snippets
Requires: python3
Requires: python3-pygments >= 2.4.0
Provides: python3-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python3dist(ansible-pygments) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(ansible-pygments) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-ansible-pygments = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(ansible-pygments) = %{epoch}:%{version}-%{release}

%description -n python3-ansible-pygments
This project provides a Pygments lexer that is able to handle Ansible
output. It may be used anywhere Pygments is integrated. The lexer is
registered globally under the name ansible-output.

%files -n python3-ansible-pygments
%license LICENSE.md
%{python3_sitelib}/ansible_pygments*
%endif

%changelog
